﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Characterize Power Splitter /4419,8481,8481,SWPG
DATE:                  2011-07-25
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       80
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         HP 8481A on channel 2
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Various
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Apply /SWPG
#        Sub Level Signal /4419,8481,8481,SWPG
#        Sub Initialization File: Write Parameter
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Splitter,Power, 50 Ohms, 10 MHz to 18 GHz, Type N, Agilent 11667A
#          or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

  1.004  IF           (@CenterFreq < 1E+6)
  1.005  MATH         Freq = (@CenterFreq / 1E+3) & " kHz"
  1.006  ELSEIF       (@CenterFreq < 1E+9)
  1.007  MATH         Freq = (@CenterFreq / 1E+6) & " MHz"
  1.008  ELSE
  1.009  MATH         Freq = (@CenterFreq / 1E+9) & " GHz"
  1.010  ENDIF

  1.011  HEAD         -2 Characterizing [V Freq] Splitter Response...
  1.012  M4419  F64   8481A          Default       8481A          100pct
  1.013  MATH         @SWPG_Freq = @CenterFreq & "Hz"
  1.014  MATH         @SWPG_Ampl = @TestLvl & "dBm"
  1.015  CALL         Sub Apply /SWPG
# Adjust SWPG output for specified level at power splitter 'Reference' port.
  1.016  CALL         Sub Level Signal /4419,8481,8481,SWPG

  1.017  IF           @Error
  1.018  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

# Store actual reference power reading.
  2.004  MATH         RefPwr = MEM
# Measure level at power splitter "Buried" port.
  2.005  MATH         MEM = @CenterFreq
  2.006  4419         -25.00D                      H                 RF N  CH2

  2.007  MATH         @Parameter = @CenterFreq
  2.008  MATH         MEM2 = FRND(MEM, 5)
  2.009  CALL         Sub Initialization File: Write Parameter
  2.010  END
