﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV-B25 (1 yr) Electronic Attenuator VER /LPNX
DATE:                  2011-07-18
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       26
NUMBER OF LINES:       401
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV Take Sweep Only
#        Sub FSV Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Note:
#    Though the "Electronic Attenuator Uncertainty" tests (FSV-B25) are shown
#    in the Service Manual Performance Test to be performed at a center
#    frequency of 128.1 MHz, the specifications for the option are defined at
#    a center frequency of 64 MHz. The tests for this function are performed
#    at a 64 MHz center frequency.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# It is assumed a 10 dB attenuator was preiously connected in series between
# the 9640A-LPNX and the UUT.

  1.001  MATH         DevName = "Fluke 9640A-LPNX"
  1.002  MATH         AccMode = "Atten dB 50 Abs"

  1.003  RSLT         =
  1.004  HEAD         {ELECTRONIC ATTENUATOR UNCERTAINTY (Option FSV-B25)}
  1.005  TARGET       -p
  1.006  HEAD         -2 Electronic Attenuator Setting: 0 dB (Reference)
  1.007  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.008  SCPI         FREQ:CENT 64E+6;SPAN 500;:BAND:RES 1E+3;:DET:FUNC RMS
  1.009  SCPI         BAND:VID 100;:INP:ATT 10 DB;:INP:EATT 0 DB;EATT:STAT ON
  1.010  SCPI         DISP:WIND:TRAC:MODE AVER;Y:RLEV -35;:SWE:COUN 20
  1.011  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  1.011  LPNX         +Level = -60 dBm; Freq = 64 MHz
  1.012  CALL         Sub FSV Take Sweep Only
  1.013  MATH         RefUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  1.014  MATH         @MkrMode = "Normal"
  1.015  CALL         Sub FSV Take Sweep (MKPK)
  1.016  SCPI         CALC:DELT:FUNC:FIX:STAT ON
  1.017  MATH         @MkrMode = "Delta"

  1.018  HEAD         -2 Electronic Attenuator Setting: 1 dB
  1.019  TSET         TDESC = [32]1 dB
  1.020  SCPI         INP:EATT 1 DB;:DISP:WIND:TRAC:Y:RLEV -34
  1.021  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  1.021  LPNX         +Level = -59 dBm; Freq = 64 MHz
  1.022  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  1.023  MATH         L[1] = RefUnc
  1.024  ACC          1.000dB        L1U                                   +DW
  1.025  TARGET       -m
  1.026  CALL         Sub FSV Take Sweep (MKPK)
  1.027  SCPI         CALC:DELT:Y?[I]
  1.028  MEMCX        1.000dB        0.200U

  2.001  HEAD         -2 Electronic Attenuator Setting: 2 dB
  2.002  TSET         TDESC = [32]2 dB
  2.003  SCPI         INP:EATT 2 DB;:DISP:WIND:TRAC:Y:RLEV -33
  2.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  2.004  LPNX         +Level = -58 dBm; Freq = 64 MHz
  2.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  2.006  MATH         L[1] = RefUnc
  2.007  ACC          2.000dB        L1U                                   +DW
  2.008  TARGET       -m
  2.009  CALL         Sub FSV Take Sweep (MKPK)
  2.010  SCPI         CALC:DELT:Y?[I]
  2.011  MEMCX        2.000dB        0.200U

  3.001  HEAD         -2 Electronic Attenuator Setting: 3 dB
  3.002  TSET         TDESC = [32]3 dB
  3.003  SCPI         INP:EATT 3 DB;:DISP:WIND:TRAC:Y:RLEV -32
  3.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  3.004  LPNX         +Level = -57 dBm; Freq = 64 MHz
  3.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  3.006  MATH         L[1] = RefUnc
  3.007  ACC          3.000dB        L1U                                   +DW
  3.008  TARGET       -m
  3.009  CALL         Sub FSV Take Sweep (MKPK)
  3.010  SCPI         CALC:DELT:Y?[I]
  3.011  MEMCX        3.000dB        0.200U

  4.001  HEAD         -2 Electronic Attenuator Setting: 4 dB
  4.002  TSET         TDESC = [32]4 dB
  4.003  SCPI         INP:EATT 4 DB;:DISP:WIND:TRAC:Y:RLEV -31
  4.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  4.004  LPNX         +Level = -56 dBm; Freq = 64 MHz
  4.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  4.006  MATH         L[1] = RefUnc
  4.007  ACC          4.000dB        L1U                                   +DW
  4.008  TARGET       -m
  4.009  CALL         Sub FSV Take Sweep (MKPK)
  4.010  SCPI         CALC:DELT:Y?[I]
  4.011  MEMCX        4.000dB        0.200U

  5.001  HEAD         -2 Electronic Attenuator Setting: 5 dB
  5.002  TSET         TDESC = [32]5 dB
  5.003  SCPI         INP:EATT 5 DB;:DISP:WIND:TRAC:Y:RLEV -30
  5.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  5.004  LPNX         +Level = -55 dBm; Freq = 64 MHz
  5.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  5.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  5.007  ACC          5.000dB        L1U                                   +DW
  5.008  TARGET       -m
  5.009  CALL         Sub FSV Take Sweep (MKPK)
  5.010  SCPI         CALC:DELT:Y?[I]
  5.011  MEMCX        5.000dB        0.200U

  6.001  HEAD         -2 Electronic Attenuator Setting: 6 dB
  6.002  TSET         TDESC = [32]6 dB
  6.003  SCPI         INP:EATT 6 DB;:DISP:WIND:TRAC:Y:RLEV -29
  6.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  6.004  LPNX         +Level = -54 dBm; Freq = 64 MHz
  6.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  6.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  6.007  ACC          6.000dB        L1U                                   +DW
  6.008  TARGET       -m
  6.009  CALL         Sub FSV Take Sweep (MKPK)
  6.010  SCPI         CALC:DELT:Y?[I]
  6.011  MEMCX        6.000dB        0.200U

  7.001  HEAD         -2 Electronic Attenuator Setting: 7 dB
  7.002  TSET         TDESC = [32]7 dB
  7.003  SCPI         INP:EATT 7 DB;:DISP:WIND:TRAC:Y:RLEV -28
  7.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  7.004  LPNX         +Level = -53 dBm; Freq = 64 MHz
  7.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  7.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  7.007  ACC          7.000dB        L1U                                   +DW
  7.008  TARGET       -m
  7.009  CALL         Sub FSV Take Sweep (MKPK)
  7.010  SCPI         CALC:DELT:Y?[I]
  7.011  MEMCX        7.000dB        0.200U

  8.001  HEAD         -2 Electronic Attenuator Setting: 8 dB
  8.002  TSET         TDESC = [32]8 dB
  8.003  SCPI         INP:EATT 8 DB;:DISP:WIND:TRAC:Y:RLEV -27
  8.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  8.004  LPNX         +Level = -52 dBm; Freq = 64 MHz
  8.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  8.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  8.007  ACC          8.000dB        L1U                                   +DW
  8.008  TARGET       -m
  8.009  CALL         Sub FSV Take Sweep (MKPK)
  8.010  SCPI         CALC:DELT:Y?[I]
  8.011  MEMCX        8.000dB        0.200U

  9.001  HEAD         -2 Electronic Attenuator Setting: 9 dB
  9.002  TSET         TDESC = [32]9 dB
  9.003  SCPI         INP:EATT 9 DB;:DISP:WIND:TRAC:Y:RLEV -26
  9.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  9.004  LPNX         +Level = -51 dBm; Freq = 64 MHz
  9.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
  9.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  9.007  ACC          9.000dB        L1U                                   +DW
  9.008  TARGET       -m
  9.009  CALL         Sub FSV Take Sweep (MKPK)
  9.010  SCPI         CALC:DELT:Y?[I]
  9.011  MEMCX        9.000dB        0.200U

 10.001  HEAD         -2 Electronic Attenuator Setting: 10 dB
 10.002  TSET         TDESC = 10 dB
 10.003  SCPI         INP:EATT 10 DB;:DISP:WIND:TRAC:Y:RLEV -25
 10.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 10.004  LPNX         +Level = -50 dBm; Freq = 64 MHz
 10.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 10.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 10.007  ACC          10.000dB       L1U                                   +DW
 10.008  TARGET       -m
 10.009  CALL         Sub FSV Take Sweep (MKPK)
 10.010  SCPI         CALC:DELT:Y?[I]
 10.011  MEMCX        10.000dB       0.200U

 11.001  HEAD         -2 Electronic Attenuator Setting: 11 dB
 11.002  TSET         TDESC = 11 dB
 11.003  SCPI         INP:EATT 11 DB;:DISP:WIND:TRAC:Y:RLEV -25
 11.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 11.004  LPNX         +Level = -49 dBm; Freq = 64 MHz
 11.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 11.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 11.007  ACC          11.000dB       L1U                                   +DW
 11.008  TARGET       -m
 11.009  CALL         Sub FSV Take Sweep (MKPK)
 11.010  SCPI         CALC:DELT:Y?[I]
 11.011  MEMCX        11.000dB       0.200U

 12.001  HEAD         -2 Electronic Attenuator Setting: 12 dB
 12.002  TSET         TDESC = 12 dB
 12.003  SCPI         INP:EATT 12 DB;:DISP:WIND:TRAC:Y:RLEV -25
 12.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 12.004  LPNX         +Level = -48 dBm; Freq = 64 MHz
 12.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 12.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 12.007  ACC          12.000dB       L1U                                   +DW
 12.008  TARGET       -m
 12.009  CALL         Sub FSV Take Sweep (MKPK)
 12.010  SCPI         CALC:DELT:Y?[I]
 12.011  MEMCX        12.000dB       0.200U

 13.001  HEAD         -2 Electronic Attenuator Setting: 13 dB
 13.002  TSET         TDESC = 13 dB
 13.003  SCPI         INP:EATT 13 DB;:DISP:WIND:TRAC:Y:RLEV -25
 13.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 13.004  LPNX         +Level = -47 dBm; Freq = 64 MHz
 13.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 13.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 13.007  ACC          13.000dB       L1U                                   +DW
 13.008  TARGET       -m
 13.009  CALL         Sub FSV Take Sweep (MKPK)
 13.010  SCPI         CALC:DELT:Y?[I]
 13.011  MEMCX        13.000dB       0.200U

 14.001  HEAD         -2 Electronic Attenuator Setting: 14 dB
 14.002  TSET         TDESC = 14 dB
 14.003  SCPI         INP:EATT 14 DB;:DISP:WIND:TRAC:Y:RLEV -25
 14.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 14.004  LPNX         +Level = -46 dBm; Freq = 64 MHz
 14.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 14.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 14.007  ACC          14.000dB       L1U                                   +DW
 14.008  TARGET       -m
 14.009  CALL         Sub FSV Take Sweep (MKPK)
 14.010  SCPI         CALC:DELT:Y?[I]
 14.011  MEMCX        14.000dB       0.200U

 15.001  HEAD         -2 Electronic Attenuator Setting: 15 dB
 15.002  TSET         TDESC = 15 dB
 15.003  SCPI         INP:EATT 15 DB;:DISP:WIND:TRAC:Y:RLEV -20
 15.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 15.004  LPNX         +Level = -45 dBm; Freq = 64 MHz
 15.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 15.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 15.007  ACC          15.000dB       L1U                                   +DW
 15.008  TARGET       -m
 15.009  CALL         Sub FSV Take Sweep (MKPK)
 15.010  SCPI         CALC:DELT:Y?[I]
 15.011  MEMCX        15.000dB       0.200U

 16.001  HEAD         -2 Electronic Attenuator Setting: 16 dB
 16.002  TSET         TDESC = 16 dB
 16.003  SCPI         INP:EATT 16 DB;:DISP:WIND:TRAC:Y:RLEV -19
 16.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 16.004  LPNX         +Level = -44 dBm; Freq = 64 MHz
 16.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 16.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 16.007  ACC          16.000dB       L1U                                   +DW
 16.008  TARGET       -m
 16.009  CALL         Sub FSV Take Sweep (MKPK)
 16.010  SCPI         CALC:DELT:Y?[I]
 16.011  MEMCX        16.000dB       0.200U

 17.001  HEAD         -2 Electronic Attenuator Setting: 17 dB
 17.002  TSET         TDESC = 17 dB
 17.003  SCPI         INP:EATT 17 DB;:DISP:WIND:TRAC:Y:RLEV -18
 17.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 17.004  LPNX         +Level = -43 dBm; Freq = 64 MHz
 17.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 17.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 17.007  ACC          17.000dB       L1U                                   +DW
 17.008  TARGET       -m
 17.009  CALL         Sub FSV Take Sweep (MKPK)
 17.010  SCPI         CALC:DELT:Y?[I]
 17.011  MEMCX        17.000dB       0.200U

 18.001  HEAD         -2 Electronic Attenuator Setting: 18 dB
 18.002  TSET         TDESC = 18 dB
 18.003  SCPI         INP:EATT 18 DB;:DISP:WIND:TRAC:Y:RLEV -17
 18.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 18.004  LPNX         +Level = -42 dBm; Freq = 64 MHz
 18.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 18.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 18.007  ACC          18.000dB       L1U                                   +DW
 18.008  TARGET       -m
 18.009  CALL         Sub FSV Take Sweep (MKPK)
 18.010  SCPI         CALC:DELT:Y?[I]
 18.011  MEMCX        18.000dB       0.200U

 19.001  HEAD         -2 Electronic Attenuator Setting: 19 dB
 19.002  TSET         TDESC = 19 dB
 19.003  SCPI         INP:EATT 19 DB;:DISP:WIND:TRAC:Y:RLEV -16
 19.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 19.004  LPNX         +Level = -41 dBm; Freq = 64 MHz
 19.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 19.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 19.007  ACC          19.000dB       L1U                                   +DW
 19.008  TARGET       -m
 19.009  CALL         Sub FSV Take Sweep (MKPK)
 19.010  SCPI         CALC:DELT:Y?[I]
 19.011  MEMCX        19.000dB       0.200U

 20.001  HEAD         -2 Electronic Attenuator Setting: 20 dB
 20.002  TSET         TDESC = 20 dB
 20.003  SCPI         INP:EATT 20 DB;:DISP:WIND:TRAC:Y:RLEV -15
 20.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 20.004  LPNX         +Level = -40 dBm; Freq = 64 MHz
 20.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 20.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 20.007  ACC          20.000dB       L1U                                   +DW
 20.008  TARGET       -m
 20.009  CALL         Sub FSV Take Sweep (MKPK)
 20.010  SCPI         CALC:DELT:Y?[I]
 20.011  MEMCX        20.000dB       0.200U

 21.001  HEAD         -2 Electronic Attenuator Setting: 21 dB
 21.002  TSET         TDESC = 21 dB
 21.003  SCPI         INP:EATT 21 DB;:DISP:WIND:TRAC:Y:RLEV -14
 21.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 21.004  LPNX         +Level = -39 dBm; Freq = 64 MHz
 21.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 21.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 21.007  ACC          21.000dB       L1U                                   +DW
 21.008  TARGET       -m
 21.009  CALL         Sub FSV Take Sweep (MKPK)
 21.010  SCPI         CALC:DELT:Y?[I]
 21.011  MEMCX        21.000dB       0.200U

 22.001  HEAD         -2 Electronic Attenuator Setting: 22 dB
 22.002  TSET         TDESC = 22 dB
 22.003  SCPI         INP:EATT 22 DB;:DISP:WIND:TRAC:Y:RLEV -13
 22.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 22.004  LPNX         +Level = -38 dBm; Freq = 64 MHz
 22.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 22.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 22.007  ACC          22.000dB       L1U                                   +DW
 22.008  TARGET       -m
 22.009  CALL         Sub FSV Take Sweep (MKPK)
 22.010  SCPI         CALC:DELT:Y?[I]
 22.011  MEMCX        22.000dB       0.200U

 23.001  HEAD         -2 Electronic Attenuator Setting: 23 dB
 23.002  TSET         TDESC = 23 dB
 23.003  SCPI         INP:EATT 23 DB;:DISP:WIND:TRAC:Y:RLEV -12
 23.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 23.004  LPNX         +Level = -37 dBm; Freq = 64 MHz
 23.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 23.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 23.007  ACC          23.000dB       L1U                                   +DW
 23.008  TARGET       -m
 23.009  CALL         Sub FSV Take Sweep (MKPK)
 23.010  SCPI         CALC:DELT:Y?[I]
 23.011  MEMCX        23.000dB       0.200U

 24.001  HEAD         -2 Electronic Attenuator Setting: 24 dB
 24.002  TSET         TDESC = 24 dB
 24.003  SCPI         INP:EATT 24 DB;:DISP:WIND:TRAC:Y:RLEV -11
 24.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 24.004  LPNX         +Level = -36 dBm; Freq = 64 MHz
 24.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 24.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 24.007  ACC          24.000dB       L1U                                   +DW
 24.008  TARGET       -m
 24.009  CALL         Sub FSV Take Sweep (MKPK)
 24.010  SCPI         CALC:DELT:Y?[I]
 24.011  MEMCX        24.000dB       0.200U

 25.001  HEAD         -2 Electronic Attenuator Setting: 25 dB
 25.002  TSET         TDESC = 25 dB
 25.003  SCPI         INP:EATT 25 DB;:DISP:WIND:TRAC:Y:RLEV -10
 25.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 25.004  LPNX         +Level = -35 dBm; Freq = 64 MHz
 25.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 64E+6)
 25.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 25.007  ACC          25.000dB       L1U                                   +DW
 25.008  TARGET       -m
 25.009  CALL         Sub FSV Take Sweep (MKPK)
 25.010  SCPI         CALC:DELT:Y?[I]
 25.011  MEMCX        25.000dB       0.200U

 26.001  HEAD         -2
 26.002  LPNX         Reset
 26.003  MATH         DEL("@MkrMode")
 26.004  SCPI         SYST:PRES
 26.005  HEAD
 26.006  END
