﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Frequency Response Test /LPNX
DATE:                  2011-08-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       84
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Compute Mismatch Uncertainty (%)
#        Sub FSV Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         DevName = "Fluke 9640A-LPNX"; AccMode = "Level 50"
  1.002  MATH         Conf = CONF(DevName); CtrFreq = @TestFreq
  1.003  MATH         Level = @9640Lvl; Freq = BASE(@TestFreq)
  1.004  MATH         Type = @AttenType; Attn = @Atten; Cpl = @Coupling

  1.005  HEAD         -2 Frequency: [V CtrFreq], [V Type]: [V Attn] dB [V Cpl]
  1.006  TSET         TDESC = [V @TestFreq]
  1.007  SCPI         FREQ:CENT [V @TestFreq]
  1.008  LPNX         ExtRefFrequency = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  1.008  LPNX         +Level = [V Level] dBm; Freq = [V Freq] Hz
  1.009  MATH         L[1] = DBTOPCTW_D(ACCV2(DevName, AccMode, Level, Freq))
  1.010  MATH         @SourceErr = L[1] / Conf
  1.011  MATH         @SourceSWR = ACCFF("lpnx.acc", "VSWR 50", Freq)
  1.012  MATH         @LoadSWR = @UUT_SWR
  1.013  CALL         Sub Compute Mismatch Uncertainty (%)
  1.014  MATH         L[2] = PCTTODBW_D(RSS2(@SourceErr, @MismatchUncPct) * 2)
  1.015  ACC          0.000dB        L2U                                   +DW

  1.016  IF           ISVAR("@PreampOn") || (@Atten < 10)
  1.017  TOL          1.000U

  1.018  ELSE

  1.019  IF           (BASE(@TestFreq) < 9E+3)
  1.020  TOL          1.000U
  1.021  ELSEIF       (BASE(@TestFreq) < 10E+6)
  1.022  TOL          0.500U
  1.023  ELSE
  1.024  TOL          0.300U
  1.025  ENDIF

  1.026  ENDIF

  1.027  TARGET       -m
  1.028  CALL         Sub FSV Take Sweep (MKPK)
  1.029  SCPI         CALC:MARK:Y?[I]
  1.030  MATH         MEM = MEM - @RefLvl
  1.031  MEMCX        0.000dB        TOL

  2.001  IF           (BASE(@TestFreq) > 200E+6)
  2.002  LPNX         Reset
  2.003  ENDIF

  2.004  END
