﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Spurious Response VER
INSTRUMENT:            Sub FSV (1 yr) Noise Display VER
DATE:                  2011-08-05
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       203
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV Take Sweep (MKPK)
#        Sub FSV (1 yr) Noise Display Tests
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SPURIOUS                     PSUBI("Spurious")
# Query NTHROW parameter value.
  1.002  MATH         @NumThrow = VGET("NTHROW")
# UUT readings are averaged internally. Set NTHROW to zero to expedite test.
  1.003  VSET         NTHROW = 0
  1.004  JMPL         NOISE                        PSUBI("Noise")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) Spurious Response VER  =============================

  2.001  LABEL        SPURIOUS

  2.002  RSLT         =
  2.003  HEAD         {SPURIOUS RESPONSE}
  2.004  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.005  HEAD         -2 Spur Frequency: 16 MHz
  2.006  TARGET       -p

  2.007  IF           (@UUT_MaxFreq < 7E+9)
  2.008  MATH         Load = "DC to 3 GHz"
  2.009  ELSEIF       (@UUT_MaxFreq < 13E+9)
  2.010  MATH         Load = "DC to 8 GHz"
  2.011  ELSEIF       (@UUT_MaxFreq < 30E+9)
  2.012  MATH         Load = "DC to 14 GHz"
  2.013  ELSEIF       (@UUT_MaxFreq < 40E+9)
  2.014  MATH         Load = "DC to 30 GHz"
  2.015  ELSE
  2.016  MATH         Load = "DC to 40 GHz"
  2.017  ENDIF

  2.018  IF           (@UUT_MaxFreq < 30E+9)
  2.019  DISP         Connect a Type "N", [V Load], 50 Ohm termination
  2.019  DISP         to the UUT INPUT 50 Ohms connector.
  2.020  ELSE
  2.021  DISP         Connect a [V Load], 50 Ohm termination, having
  2.021  DISP         a connector compatible with the UUT RF INPUT 50 Ohms
  2.021  DISP         test port adapter, to the UUT.
  2.022  ENDIF

  2.023  IF           (@UUT_MaxFreq < 7E+9)
  2.024  MATH         Time = 6
  2.025  ELSEIF       (@UUT_MaxFreq < 13E+9)
  2.026  MATH         Time = "9½"
  2.027  ELSEIF       (@UUT_MaxFreq < 30E+9)
  2.028  MATH         Time = 13
  2.029  ENDIF

  2.030  DISP         The next routine operator intervention occurs in
  2.030  DISP         approximately [V Time] minutes, depending on specific
  2.030  DISP         UUT option configuration...

  2.031  TSET         TDESC = [32]16 MHz
  2.032  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.033  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:SPAC LOG;RLEV -50
  2.033  SCPI         FREQ:CENT 16E+6;SPAN 10E+3;:BAND:RES 1E+3;:BAND:VID 1
  2.034  SCPI         CALC:MARK:STAT ON
  2.035  TARGET       -m
  2.036  CALL         Sub FSV Take Sweep (MKPK)
  2.037  SCPI         CALC:MARK:Y?[I]
  2.038  ACC          dBm            0.28U
  2.039  MEMCX        -103.0dBm      -47.0U

  3.001  HEAD         -2 Spur Frequency: 32 MHz
  3.002  TSET         TDESC = [32]32 MHz
  3.003  SCPI         FREQ:CENT 32E+6
  3.004  TARGET       -m
  3.005  CALL         Sub FSV Take Sweep (MKPK)
  3.006  SCPI         CALC:MARK:Y?[I]
  3.007  ACC          dBm            0.28U
  3.008  MEMCX        -103.0dBm      -47.0U

  4.001  HEAD         -2 Spur Frequency: 64 MHz
  4.002  TSET         TDESC = [32]64 MHz
  4.003  SCPI         FREQ:CENT 64E+6
  4.004  TARGET       -m
  4.005  CALL         Sub FSV Take Sweep (MKPK)
  4.006  SCPI         CALC:MARK:Y?[I]
  4.007  ACC          dBm            0.28U
  4.008  MEMCX        -103.0dBm      -47.0U

  5.001  HEAD         -2 Spur Frequency: 128 MHz
  5.002  TSET         TDESC = 128 MHz
  5.003  SCPI         FREQ:CENT 128E+6
  5.004  TARGET       -m
  5.005  CALL         Sub FSV Take Sweep (MKPK)
  5.006  SCPI         CALC:MARK:Y?[I]
  5.007  ACC          dBm            0.28U
  5.008  MEMCX        -103.0dBm      -47.0U

  6.001  HEAD         -2 Spur Frequency: 256 MHz
  6.002  TSET         TDESC = 256 MHz
  6.003  SCPI         FREQ:CENT 256E+6
  6.004  TARGET       -m
  6.005  CALL         Sub FSV Take Sweep (MKPK)
  6.006  SCPI         CALC:MARK:Y?[I]
  6.007  ACC          dBm            0.28U
  6.008  MEMCX        -103.0dBm      -47.0U

  7.001  HEAD         -2 Spur Frequency: 384 MHz
  7.002  TSET         TDESC = 384 MHz
  7.003  SCPI         FREQ:CENT 384E+6
  7.004  TARGET       -m
  7.005  CALL         Sub FSV Take Sweep (MKPK)
  7.006  SCPI         CALC:MARK:Y?[I]
  7.007  ACC          dBm            0.28U
  7.008  MEMCX        -103.0dBm      -47.0U

  8.001  HEAD         -2
  8.002  SCPI         SYST:PRES
  8.003  HEAD
  8.004  END

  8.005  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) Noise Display VER  =================================

  9.001  LABEL        NOISE

  9.002  RSLT         =
  9.003  HEAD         {DISPLAYED AVERAGE NOISE LEVEL}
  9.004  TARGET       -p
  9.005  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  9.006  SCPI         INP:ATT 0 DB;:FREQ:SPAN 0;:BAND:RES 1E+3;:BAND:VID 1
  9.007  SCPI         SWE:TIME 50E-3;:DISP:WIND:TRAC:MODE AVER;:SWE:COUN 20
  9.008  SCPI         DISP:WIND:TRAC:Y:SPAC LOG;RLEV -10
  9.009  SCPI         FREQ:CENT 9E+3;:CALC:MARK:STAT ON;FUNC:SUMM:MEAN ON
  9.010  CALL         Sub FSV (1 yr) Noise Display Tests

  9.011  IF           @Opt_B22
  9.012  RSLT         =
  9.013  HEAD         {DISPLAYED AVERAGE NOISE LEVEL (Option FSV-B22)}
  9.014  MATH         @B22_On = 1
  9.015  TARGET       -p
  9.016  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  9.017  SCPI         INP:ATT 0 DB;COUP DC;GAIN:STAT ON;:FREQ:SPAN 0
  9.018  SCPI         BAND:RES 1E+3;VID 3E+3;:SWE:TIME 50E-3
  9.019  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUN 20;:FREQ:CENT 101E+3
  9.020  SCPI         CALC:MARK:STAT ON;FUNC:SUMM:MEAN ON
  9.021  CALL         Sub FSV (1 yr) Noise Display Tests
  9.022  MATH         DEL("@B22_On")
  9.023  ENDIF

  9.024  IF           @Opt_B24
  9.025  RSLT         =
  9.026  HEAD         {DISPLAYED AVERAGE NOISE LEVEL (Option FSV-B24)}
  9.027  MATH         @B24_On = 1
  9.028  TARGET       -p
  9.029  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  9.030  SCPI         INP:ATT 0 DB;COUP DC;GAIN:STAT ON;:FREQ:SPAN 0
  9.031  SCPI         BAND:RES 1E+3;VID 3E+3;:SWE:TIME 50E-3
  9.032  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUN 20;:FREQ:CENT 101E+3
  9.033  SCPI         CALC:MARK:STAT ON;FUNC:SUMM:MEAN ON
  9.034  CALL         Sub FSV (1 yr) Noise Display Tests
  9.035  MATH         DEL("@B24_On")
  9.036  ENDIF

  9.037  HEAD         -2
  9.038  SCPI         SYST:PRES
  9.039  HEAD
  9.040  VSET         NTHROW = [V @NumThrow]
  9.041  END
