﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Frequency Reference VER /9640
INSTRUMENT:            Sub FSV (1 yr) IF Filter VER /9640
DATE:                  2011-08-05
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       320
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub 9640A Check Configuration / Set Parameters
#        Sub FSV Take Sweep Only
#        Sub FSV Take Sweep (MKPK)
#        Sub FSV Set Ref Level (dBm) /9640
#        Sub FSV IF Filter Bandwidth Switching Test /9640
#
#  Required Files:
#        fsv_direct_to_lpnx_1.jpg
#        fsv_direct_to_lpnx_2.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         REF_FREQ                     PSUBI("Frequency")
  1.002  MATH         @Error = 0
  1.003  JMPL         IF_FILTER                    PSUBI("IF Filter")
  1.004  DISP         Called {Subprocedure Not Found}!
  1.005  END

  1.006  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) Frequency Reference VER /9640  =====================

  2.001  LABEL        REF_FREQ
  2.002  MATH         Dev = @9640DevName; AccMode = @AccModeFreqSine
  2.003  MATH         FreqRef        = INI("startup", "FreqRefDevName")
  2.004  MATH         FreqRefAccMode = INI("startup", "FreqRefAccMode")

  2.005  RSLT         =
  2.006  HEAD         {REFERENCE FREQUENCY ACCURACY}
  2.007  HEAD         -2 1 GHz
  2.008  TARGET       -p
  2.009  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.010  PIC          fsv_direct_to_lpnx_1.jpg
  2.011  TSET         TDESC = 1 GHz
  2.012  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.013  SCPI         FREQ:CENT 1E+9;SPAN 1E+6;:BAND:RES 300E+3
  2.014  SCPI         DISP:WIND:TRAC:Y:RLEV -8;:INP:ATT 10 DB
  2.015  SCPI         CALC:MARK:COUN ON;COUN:RES 1
  2.016  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  2.016  9640         +Freq = 1 GHz; Level = -20 dBm

  2.017  IF           @Opt_B4
  2.018  TOL          0.1P%
  2.019  ELSE
  2.020  TOL          1.0P%
  2.021  ENDIF

  2.022  TARGET       -m
  2.023  CALL         Sub FSV Take Sweep Only
  2.024  SCPI         CALC:MARK:COUN:FREQ?[I]
  2.025  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM)
# Normalize frequency reference accuracy and convert to GHz.
  2.026  MATH         L[1] = (L[1] / CONF(FreqRef)) / 1E+9
  2.027  MATH         L[2] = (ACCV(Dev, AccMode, 1E+9) / CONF(Dev)) / 1E+9
  2.028  MATH         L[3] = RSS_L(1, 2) * 2
  2.029  ACC          1.00000000GHz  L3U
  2.030  MATH         MEM = MEM / 1E+9
  2.031  MEMC         1.00000000GHz  TOL

  3.001  HEAD         -2
  3.002  9640         Reset
  3.003  SCPI         SYST:PRES
  3.004  HEAD
  3.005  END
  3.006  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) IF Filter VER /9640  ================================

  4.001  LABEL        IF_FILTER
  4.002  RSLT         =
  4.003  HEAD         {IF FILTER}
  4.004  RSLT         =
  4.005  MATH         RsltText = "Sweep Mode Bandwidth Switching Level "
  4.006  MATH         RsltText = RsltText & "Uncertainty "
  4.007  MATH         RsltText = RsltText & "(10 kHz Reference)"
  4.008  RSLT         =[V RsltText]
  4.009  TARGET       -p
  4.010  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]

  4.011  LABEL        START_ANALOG_FILTER
  4.012  PIC          fsv_direct_to_lpnx_2.jpg

  4.013  DISP         Ensure the UUT REF OUT (on rear) is connected to the
  4.013  DISP         9640A-LPNX REF FREQUENCY IN.

  4.014  DISP         The next routine operator intervention occurs in
  4.014  DISP         approximately 7½ minutes, depending on specific
  4.014  DISP         UUT option configuration...

  4.015  HEAD         -2 Sweep Bandwidth Switching Level: 10 kHz RBW Ref
  4.016  TSET         TDESC = 100 Hz; NTHROW = 2; NMEAS = 2
  4.017  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  4.018  SCPI         DISP:WIND:TRAC:Y:RLEV -15;:INP:ATT 10 DB
  4.019  SCPI         FREQ:CENT 64E+6;SPAN 10E+3;:BAND:VID:RAT 1
  4.020  SCPI         SWE:TIME 100E-3;:DET:FUNC RMS
  4.021  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  4.021  9640         +Level = -20 dBm; Freq = 64 MHz
  4.022  MATH         @MkrMode = "Normal"
  4.023  CALL         Sub FSV Take Sweep (MKPK)
  4.024  SCPI         CALC:MARK:Y?[I]
  4.025  MATH         @TestName = "IF Filter: Ref Set"
  4.026  MATH         @Connection = "fsv_direct_to_lpnx_2"
  4.027  MATH         @FSV_RefLvl = -20; @9640Lvl = -20
  4.028  MATH         @9640Freq = 64E+6; @9640RefIn = 10E+6

  4.029  WHILE        ((MEM <= -20.02) || (MEM >= -19.98)) && NOT(@Error)
  4.030  CALL         Sub FSV Set Ref Level (dBm) /9640
  4.031  ENDW

  4.032  IF           @Error
  4.033  EVAL   -e 0 : An error occurred during the [V @TestName].
  5.001  MATH         @Error = 0
  5.002  END
  5.003  ENDIF

  5.004  JMPL         CONTINUE_ANALOG_FILTER
  5.005  TARGET       -p
  5.006  JMPL         START_ANALOG_FILTER

  5.007  LABEL        CONTINUE_ANALOG_FILTER
  5.008  HEAD         -2 Sweep Mode Bandwidth Switching Level: 100 Hz RBW
  5.009  SCPI         CALC:DELT:FUNC:FIX:STAT ON
  5.010  SCPI         FREQ:SPAN 50;*WAI;:BAND:RES 100
# Specify marker function for use in subsequent UUT 'Take Sweep' call.
  5.011  MATH         @MkrMode = "Delta"
  5.012  TOL          0.10U
  5.013  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.014  HEAD         -2 Sweep Mode Bandwidth Switching Level: 1 kHz RBW
  5.015  TARGET       -p
  5.016  TSET         TDESC = 1 kHz
  5.017  SCPI         FREQ:SPAN 500;*WAI;:BAND:RES 1E+3
  5.018  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.019  HEAD         -2 Sweep Mode Bandwidth Switching Level: 100 kHz RBW
  5.020  TARGET       -p
  5.021  TSET         TDESC = 100 kHz
  5.022  SCPI         FREQ:SPAN 50E+3;:BAND:RES 100E+3
  5.023  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.024  HEAD         -2 Sweep Mode Bandwidth Switching Level: 200 kHz RBW
  5.025  TARGET       -p
  5.026  TSET         TDESC = 200 kHz
  5.027  SCPI         FREQ:SPAN 100E+3;:BAND:RES 200E+3
  5.028  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.029  HEAD         -2 Sweep Mode Bandwidth Switching Level: 300 kHz RBW
  5.030  TARGET       -p
  5.031  TSET         TDESC = 300 kHz
  5.032  SCPI         FREQ:SPAN 150E+3;:BAND:RES 300E+3
  5.033  TOL          0.20U
  5.034  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.035  HEAD         -2 Sweep Mode Bandwidth Switching Level: 500 kHz RBW
  5.036  TARGET       -p
  5.037  TSET         TDESC = 500 kHz
  5.038  SCPI         FREQ:SPAN 250E+3;:BAND:RES 500E+3
  5.039  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.040  HEAD         -2 Sweep Mode Bandwidth Switching Level: 1 MHz RBW
  5.041  TARGET       -p
  5.042  TSET         TDESC = 1 MHz
  5.043  SCPI         FREQ:SPAN 500E+3;:BAND:RES 1E+6
  5.044  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.045  HEAD         -2 Sweep Mode Bandwidth Switching Level: 2 MHz RBW
  5.046  TARGET       -p
  5.047  TSET         TDESC = 2 MHz
  5.048  SCPI         FREQ:SPAN 1E+6;:BAND:RES 2E+6
  5.049  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.050  HEAD         -2 Sweep Mode Bandwidth Switching Level: 3 MHz RBW
  5.051  TARGET       -p
  5.052  TSET         TDESC = 3 MHz
  5.053  SCPI         FREQ:SPAN 1.5E+6;:BAND:RES 3E+6
  5.054  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.055  HEAD         -2 Sweep Mode Bandwidth Switching Level: 5 MHz RBW
  5.056  TARGET       -p
  5.057  TSET         TDESC = 5 MHz
  5.058  SCPI         FREQ:SPAN 2.5E+6;:BAND:RES 5E+6
  5.059  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.060  HEAD         -2 Sweep Mode Bandwidth Switching Level: 10 MHz RBW
  5.061  TARGET       -p
  5.062  TSET         TDESC = 10 MHz
  5.063  SCPI         FREQ:SPAN 5E+6;:BAND:RES 10E+6
  5.064  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.065  IF           (@UUT_MaxFreq == 39) && @FSV40
  5.066  HEAD         -2 Sweep Mode Bandwidth Switching Level: 20 MHz RBW
  5.067  TARGET       -p
  5.068  TSET         TDESC = 20 MHz
  5.069  SCPI         FREQ:SPAN 10E+6;:BAND:RES 20E+6
  5.070  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  5.071  HEAD         -2 Sweep Mode Bandwidth Switching Level: 28 MHz RBW
  5.072  TARGET       -p
  5.073  TSET         TDESC = 28 MHz
  5.074  SCPI         FREQ:SPAN 14E+6;:BAND:RES 28E+6
  5.075  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640
  5.076  ENDIF

  5.077  IF           @Opt_B70
  5.078  HEAD         -2 Sweep Mode Bandwidth Switching Level: 40 MHz RBW
  5.079  TARGET       -p
  5.080  TSET         TDESC = 40 MHz
  5.081  SCPI         FREQ:SPAN 0;:BAND:RES 40E+6
  5.082  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640
  5.083  ENDIF

  5.084  RSLT         =
  5.085  MATH         RsltText = "FFT Mode Bandwidth Switching Level "
  5.086  MATH         RsltText = RsltText & "Uncertainty "
  5.087  MATH         RsltText = RsltText & "(10 kHz Reference)"
  5.088  RSLT         =[V RsltText]

  5.089  LABEL        START_FFT_FILTER
  5.090  HEAD         -2 FFT Bandwidth Switching Error: 10 kHz RBW Reference
  5.091  SCPI         BAND:RES 10E+3;:FREQ:SPAN 5E+3;:SWE:TIME:AUTO ON
  5.092  SCPI         CALC:MARK:X:SLIM OFF;:SWE:TYPE FFT
  5.093  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  5.093  9640         +Level = -20 dBm; Freq = 64 MHz
  5.094  CALL         Sub FSV Take Sweep (MKPK)
  5.095  SCPI         CALC:MARK:Y?[I]
  5.096  MATH         @9640Freq = 64E+6; @9640Lvl = -20; @TestLvl = @9640Lvl
  5.097  CALL         Sub FSV Take Sweep (MKPK)
  5.098  SCPI         CALC:MARK:Y?[I]

  5.099  WHILE        ((MEM <= -20.02) || (MEM >= -19.98)) && NOT(@Error)
  5.100  CALL         Sub FSV Set Ref Level (dBm) /9640
  5.101  ENDW

  5.102  IF           @Error
  5.103  EVAL   -e 0 : An error occurred during the [V @TestName].
  6.001  MATH         @Error = 0
  6.002  END
  6.003  ENDIF

  6.004  JMPL         CONTINUE_FFT_FILTER
  6.005  TARGET       -p
  6.006  JMPL         START_FFT_FILTER

  6.007  LABEL        CONTINUE_FFT_FILTER
  6.008  HEAD         -2 FFT Mode Bandwidth Switching Level: 100 Hz RBW
  6.009  TARGET       -p
  6.010  TSET         TDESC = 100 Hz
  6.011  TOL          0.20U
  6.012  SCPI         SWE:TYPE FFT;:BAND:RES 100;*WAI;:FREQ:SPAN 50
  6.013  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  6.014  HEAD         -2 FFT Mode Bandwidth Switching Level: 1 kHz RBW
  6.015  TARGET       -p
  6.016  TSET         TDESC = 1 kHz
  6.017  SCPI         SWE:TYPE FFT;:BAND:RES 1E+3;:FREQ:SPAN 500
  6.018  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  6.019  HEAD         -2 FFT Mode Bandwidth Switching Level: 10 kHz RBW
  6.020  TARGET       -p
  6.021  TSET         TDESC = 10 kHz
  6.022  SCPI         SWE:TYPE FFT;:BAND:RES 10E+3;:FREQ:SPAN 5E+3
  6.023  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  6.024  HEAD         -2 FFT Mode Bandwidth Switching Level: 100 kHz RBW
  6.025  TARGET       -p
  6.026  TSET         TDESC = 100 kHz
  6.027  SCPI         SWE:TYPE FFT;:BAND:RES 100E+3;:FREQ:SPAN 50E+3
  6.028  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  6.029  HEAD         -2 FFT Mode Bandwidth Switching Level: 200 kHz RBW
  6.030  TARGET       -p
  6.031  TSET         TDESC = 200 kHz
  6.032  SCPI         SWE:TYPE FFT;:BAND:RES 200E+3;:FREQ:SPAN 100E+3
  6.033  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  6.034  HEAD         -2 FFT Mode Bandwidth Switching Level: 300 kHz RBW
  6.035  TARGET       -p
  6.036  TSET         TDESC = 300 kHz
  6.037  SCPI         SWE:TYPE FFT;:BAND:RES 300E+3;:FREQ:SPAN 150E+3
  6.038  CALL         Sub FSV IF Filter Bandwidth Switching Test /9640

  6.039  HEAD         -2
  6.040  9640         Reset
  6.041  MATH         @MkrMode = "Normal"; DEL("@Connection")
  6.042  SCPI         SYST:PRES
  6.043  HEAD
  6.044  END
