﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV Characterize Power Splitter Tracking Errors
DATE:                  2011-08-05
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       146
STANDARD:              Agilent 11667A
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Various FSV models
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub RIF/WIF Directory
#        Sub WIF Error
#        Sub Characterize Power Splitter /4419,8481,8481,SWPG
#
#  Required Files:
#        char_11667a_direct.jpg
#
#  Additional Equipment Required:
#        Splitter, Power, Range: 64 MHz to 7 GHz, Type N, 50 Ohms,
#          Insertion Loss: 6 dB, Port Tracking: <0.25 dB, Equivalent
#          Output SWR: <1.22; Agilent® 11667A
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         CREATE TEMPORARY INITIALIZATION FILE
  1.002  MATH         @FileName = "pwr_spltr_char.ini"
  1.003  CALL         Sub RIF/WIF Directory
  1.004  MATH         @IniFile = @RifWifDir & "\\" & @FileName
  1.005  MATH         @Section = "timestamp"
  1.006  MATH         @Parameter = "time"
  1.007  MATH         TimeStamp = UTIME()
  1.008  MATH         Insert = WIF(@IniFile, @Section, @Parameter, TimeStamp)

  1.009  IF           NOT(Insert)
  1.010  CALL         Sub WIF Error

  1.011  IF           @Error
  1.012  END
  1.013  ENDIF

  1.014  ENDIF

  1.015  MATH         @TestName = "Power Splitter Char"
  1.016  TARGET       -p
  1.017  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.018  PIC          char_11667a_direct.jpg
  1.019  MATH         @Section = "buried_power_preamp_off"; @RefLvl = -6
  1.020  MATH         @LoLimit = -6.02; @HiLimit = -5.98; @TestLvl = +1

  1.021  IF           (@UUT_MaxFreq < 7E+9)
  1.022  MATH         Time = "2½"
  1.023  ELSE
  1.024  MATH         Time = 5
  1.025  ENDIF

  1.026  DISP         The next routine operator intervention
  1.026  DISP         occurs in approximately [V Time] minutes...

  1.027  STD          Agilent 11667A

  1.028  MATH         @CenterFreq = 64E+6; @Chan = "A"
  1.029  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.030  MATH         @CenterFreq = 301E+6
  1.031  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.032  MATH         @CenterFreq = 401E+6
  1.033  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.034  MATH         @CenterFreq = 501E+6
  1.035  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.036  MATH         @CenterFreq = 601E+6
  1.037  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.038  MATH         @CenterFreq = 701E+6
  1.039  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.040  MATH         @CenterFreq = 801E+6
  1.041  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.042  MATH         @CenterFreq = 901E+6
  1.043  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.044  MATH         @CenterFreq = 1.001E+9
  1.045  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.046  MATH         @CenterFreq = 1.501E+9
  1.047  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.048  MATH         @CenterFreq = 2.001E+9
  1.049  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.050  MATH         @CenterFreq = 2.501E+9
  1.051  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.052  MATH         @CenterFreq = 3.001E+9
  1.053  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.054  MATH         @CenterFreq = 3.599E+9
  1.055  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.056  IF           (@UUT_MaxFreq < 7E+9)
  1.057  END
  1.058  ENDIF

  1.059  MATH         @CenterFreq = 4.001E+9
  1.060  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.061  MATH         @CenterFreq = 4.501E+9
  1.062  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.063  MATH         @CenterFreq = 5.001E+9
  1.064  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.065  MATH         @CenterFreq = 5.501E+9
  1.066  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.067  MATH         @CenterFreq = 6.001E+9
  1.068  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.069  MATH         @CenterFreq = 6.501E+9
  1.070  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.071  MATH         @CenterFreq = 6.999E+9
  1.072  CALL         Sub Characterize Power Splitter /4419,8481,8481,SWPG

  1.073  END
