﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV Add'l Equipment Minimum Use Requirements
DATE:                  2011-08-08
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       267
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         REQUIRED REFERENCE(S)

  1.002  IF           EMPTY(ASSET("Fluke 9640A-LPNX"))
  1.003  DISP         Required device:
  1.003  DISP
  1.003  DISP         [32]- Fluke 9640A-LPNX
  1.003  DISP
  1.003  DISP         not currently configured on workstation.
  1.003  DISP
  1.003  DISP         Select "Advance" to terminate procedure. Configure
  1.003  DISP         required device and re-execute procedure.
  1.004  MATH         @Abort = 1
  1.005  END
  1.006  ELSE
  1.007  MATH         @9640DevName = ASSET("Fluke 9640A-LPNX")
  1.008  ENDIF

  1.009  IF           (@UUT_MaxFreq < 13E+9)
  1.010  MATH         Limit = 9
  1.011  ELSEIF       (@UUT_MaxFreq < 30E+9)
  1.012  MATH         Limit = 15
  1.013  ELSEIF       (@UUT_MaxFreq < 40E+9)
  1.014  MATH         Limit = 30
  1.015  ELSE
  1.016  MATH         Limit = 40
  1.017  ENDIF

  1.018  HEAD         FLEXIBLE STANDARDS

  1.019  IF           @Opt_B21
  1.020  DISP         The minimum use specifications of the following devices,
  1.020  DISP         configured as flexible standards, must be satisfied.
  1.020  DISP
  1.020  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.020  DISP
  1.020  DISP         [32]Digital Multimeter  DMM    [V @DMM_DevName]
  1.020  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  1.020  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]

  1.021  ELSE

  1.022  DISP         The minimum use specifications of the following devices,
  1.022  DISP         configured as flexible standards, must be satisfied.
  1.022  DISP
  1.022  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.022  DISP
  1.022  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  1.022  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.023  ENDIF

  1.024  HEAD         -2 (Synthesized) Sweep Generator (SWPG)
  1.025  OPBR         -z SWPG: [V @SWPG_DevName]
  1.025  OPBR
  1.025  OPBR         Minimum Use Specifications:
  1.025  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.025  OPBR         [32]   Accuracy:
  1.025  OPBR         [32]     Internal: ±1 ppm or better
  1.025  OPBR         [32]     External: Capable of being locked to an
  1.025  OPBR         [32]               external reference
  1.025  OPBR         [32]   Resolution: 1 Hz
  1.025  OPBR
  1.025  OPBR         [32] Amplitude Range: -20 dBm to +16 dBm
  1.025  OPBR         [32]   Accuracy: ±1 dB or less
  1.025  OPBR         [32]   Resolution: 0.01 dB
  1.025  OPBR
  1.025  OPBR         [32] Harmonic Level:
  1.025  OPBR         [32]   < -30 dBc
  1.025  OPBR
  1.025  OPBR         Does the [V @SWPG_DevName] satisfy the above Minimum
  1.025  OPBR         Use Specifications?
  1.026  MATH         SWPG = MEM1

  1.027  IF           (Limit < 30)
  1.028  HEAD         -2 Local Oscillator (LO)
  1.029  OPBR         -z LO: [V @LO_DevName]
  1.029  OPBR
  1.029  OPBR         Minimum Use Specifications:
  1.029  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.029  OPBR         [32]   Accuracy:
  1.029  OPBR         [32]     Internal: ±1 ppm or better
  1.029  OPBR         [32]     External: Capable of being locked to an
  1.029  OPBR         [32]               external reference
  1.029  OPBR         [32]   Resolution: 1 Hz
  1.029  OPBR
  1.029  OPBR         [32] Amplitude Range: -20 dBm to +13 dBm
  1.029  OPBR         [32]   Accuracy: ±1 dB or less
  1.029  OPBR         [32]   Resolution: 0.01 dB
  1.029  OPBR
  1.029  OPBR         [32] Harmonic Level:
  1.029  OPBR         [32]   < -30 dBc
  1.029  OPBR
  1.029  OPBR         Does the [V @LO_DevName] satisfy the above Minimum
  1.029  OPBR         Use Specifications?

  1.030  ELSE

  1.031  HEAD         -2 µW Signal Generator (UWSG)
  1.032  OPBR         -z UWSG: [V @UWSG_DevName]
  1.032  OPBR
  1.032  OPBR         Minimum Use Specifications:
  1.032  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.032  OPBR         [32]   Accuracy:
  1.032  OPBR         [32]     Internal: ±1 ppm or better
  1.032  OPBR         [32]     External: Capable of being locked to an
  1.032  OPBR         [32]               external reference
  1.032  OPBR         [32]   Resolution: 1 Hz
  1.032  OPBR
  1.032  OPBR         [32] Amplitude Range: -20 dBm to +13 dBm
  1.032  OPBR         [32]   Accuracy: ±1 dB or less
  1.032  OPBR         [32]   Resolution: 0.01 dB
  1.032  OPBR
  1.032  OPBR         [32] Harmonic Level:
  1.032  OPBR         [32]   < -30 dBc
  1.032  OPBR
  1.032  OPBR         Does the [V @UWSG_DevName] satisfy the above Minimum
  1.032  OPBR         Use Specifications?
  1.033  ENDIF

  1.034  MATH         SigGen = MEM1

  1.035  IF           @Opt_B21
  1.036  HEAD         -2 Digital Multimeter (DMM)
  1.037  OPBR         -z DMM: [V @DMM_DevName]
  1.037  OPBR
  1.037  OPBR         Minimum Use Specifications:
  1.037  OPBR         [32] DC Current Function
  1.037  OPBR         [32]   Range: 0 to ±10 mA
  1.037  OPBR         [32]   Accuracy: ±(4% + 0.25 mA) or better
  1.037  OPBR
  1.037  OPBR         Does the [V @DMM_DevName] satisfy the above Minimum
  1.037  OPBR         Use Specifications?
  1.038  MATH         DMM = MEM1
  1.039  ELSE
# Default to true if DMM not required to satisfy subsequent logic.
  1.040  MATH         DMM = 1
  1.041  ENDIF

  1.042  HEAD         -2

  1.043  IF           NOT(SWPG)
  1.044  DISP         Currently configured SWPG (Sweep Generator):
  1.044  DISP
  1.044  DISP         [32][V @SWPG_DevName]
  1.044  DISP
  1.044  DISP         does not satisfy procedure Minimum Use Specifications.
  1.045  ENDIF

  1.046  IF           NOT(SigGen)

  1.047  IF           (Limit < 30)
  1.048  DISP         Currently configured LO (Local Oscillator):
  1.048  DISP
  1.048  DISP         [32][V @LO_DevName]
  1.048  DISP
  1.048  DISP         does not satisfy procedure Minimum Use Specifications.

  1.049  ELSE

  1.050  DISP         Currently configured UWSG (µW Signal Generator):
  1.050  DISP
  1.050  DISP         [32][V @UWSG_DevName]
  1.050  DISP
  1.050  DISP         does not satisfy procedure Minimum Use Specifications.
  1.051  ENDIF

  1.052  ENDIF

  1.053  IF           NOT(DMM)
  1.054  DISP         Currently configured DMM (Digital Multimeter):
  1.054  DISP
  1.054  DISP         [32][V @DMM_DevName]
  1.054  DISP
  1.054  DISP         does not satisfy procedure Minimum Use Specifications.
  1.055  ENDIF

  1.056  IF           NOT(SWPG) || NOT(SigGen) || NOT(DMM)
  1.057  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.058  DISP         Flexible Standard(s) currently configured for use with
  1.058  DISP         this procedure have been identified as not satisfying
  1.058  DISP         the Minimum Use Specifications.
  1.058  DISP
  1.058  DISP         Select "Advance" to abort procedure, configure suitable
  1.058  DISP         device(s) to replace those identified, then restart the
  1.058  DISP         procedure from the beginning.
  1.059  MATH         @Abort = 1
  1.060  END
  1.061  ENDIF

  1.062  OPBR         -z Do you want to REVIEW the list of additional
  1.062  OPBR         equipment and/or accessories required?

  1.063  IF           MEM1

  1.064  HEAD         ADDITIONAL EQUIPMENT/ACCESSORIES REQUIRED
  1.065  HEAD         -2 Additional Equipment: Page 1 of 2
  1.066  DISP         Power Splitter:
  1.066  DISP         - Frequency : 3 GHz to [V Limit] GHz
  1.066  DISP         - VSWR, 300 MHz to [V Limit] GHz : <= 1.22
  1.066  DISP         - Tracking Error : < ±0.25 dB
  1.066  DISP         - Impedance : 50 Ohms
  1.066  DISP         - Connectors : 3.5 mm
  1.066  DISP         Agilent® 11667A
  1.066  DISP
  1.066  DISP         10 dB Fixed Attenuator (2 ea.):
  1.066  DISP         - Frequency : 50 MHz to [V Limit] GHz
  1.066  DISP         - VSWR : <= 1.2
  1.066  DISP         - Connectors : Type N (m/f)
  1.066  DISP         Agilent 8491A Opt 010 or equivalent
  1.066  DISP
  1.066  DISP         Termination:
  1.066  DISP         - Frequency : DC to [V Limit] GHz
  1.066  DISP         - Impedance : 50 Ohms
  1.066  DISP         - Connector : Type N (m)
  1.066  DISP         Agilent 909C or equivalent

  1.067  HEAD         -2 Adapters and Cables: Page 2 of 2
  1.068  DISP         - Adapter, 3.5 mm (f) - 3.5 mm (f), 50 Ohms, DC to
  1.068  DISP         [32] 34 GHz, VSWR: 1.15; Agilent 1250-1749 or equivalent
  1.068  DISP         - Adapter, Type N (f) - 3.5 mm (m), 50 Ohms, DC to
  1.068  DISP         [32] 18 GHz, VSWR: 1.14; Agilent 1250-1750 or equivalent
  1.068  DISP         - Adapter, Type N (m)-(m), 50 Ohms, DC to 18 GHz,
  1.068  DISP         [32] VSWR: 1.13; Agilent 1250-1475 or equivalent
  1.068  DISP         - Tee, BNC (f)-(m)-(f), 50 Ohms; Agilent 1250-0781 or
  1.068  DISP         [32] equivalent
  1.068  DISP         - Cable assy., Precision, Type N (m)-(m), DC to 18 GHz,
  1.068  DISP         [32] 50 Ohms, 36", 2 ea.; Pasternack PE302-36 or
  1.068  DISP         [32] equivalent
  1.068  DISP         - Cable assy., BNC (m)-(m), 50 Ohms, 36", 2 ea.
  1.069  ENDIF

  1.070  HEAD         -2
  1.071  HEAD
  1.072  END
