﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV Set Frequency Response Test Lvl /4419,SWPG
DATE:                  2011-07-25
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       66
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         HP 8481A on channel 2
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV Series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Initialization File: Read Parameter
#        Sub Level Signal /4419,8481,8482,SWPG
#
#  Required Files:
#        pwr_spltr_char.ini
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Parameter = BASE(@TestFreq)
  1.002  CALL         Sub Initialization File: Read Parameter
  1.003  MATH         @RefLvl = MEM2
  1.004  MATH         @SWPG_Freq = @TestFreq
  1.005  MATH         @SWPG_Ampl = @TestLvl & "dBm"
  1.006  MATH         @SWPG_ROSC = "Ext"
  1.007  CALL         Sub Apply /SWPG
  1.008  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  1.009  MATH         @CenterFreq = @Parameter
  1.010  M4419  F64   8481A          Default       8481A          100pct
  1.011  CALL         Sub Level Signal /4419,8481,8481,SWPG
# Retrieve E4419() floor value.
  1.012  MATH         PwrWatts = DBMTOW(MEM)
  1.013  MATH         FileName = "4419.acc"; AccMode = "Watts 100mW F64"
  1.014  MATH         Floor = ACCFF2(FileName, AccMode, PwrWatts, @CenterFreq)
# Compute floor accuracy in percent based on measured power.
  1.015  MATH         @Floor = (Floor / PwrWatts) * 100

  1.016  IF           @Error
  1.017  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  END
